class_name PauseMenu
extends Panel

@export var save_load_ui: SaveLoadUI


func _unhandled_input(event: InputEvent) -> void:
	if event.is_action_pressed("ui_cancel") and self.visible:
		hide_menu()
	elif event.is_action_pressed("ui_cancel") and !self.visible:
		show_menu()


func hide_menu() -> void:
	SignalManager.close_pause_menu.emit()

func show_menu() -> void:
	SignalManager.open_pause_menu.emit()


# Signals
func _on_exit_game_button_pressed() -> void:
	get_tree().quit()

func _on_resume_button_pressed() -> void:
	hide_menu()

func _on_settings_button_pressed() -> void:
	SignalManager.open_settings_menu.emit()

func _on_saves_button_pressed() -> void:
	save_load_ui.open_save_list.emit()
